<?php

namespace App\Http\Controllers;

use App\Models\ContactUs;
use Illuminate\Http\Request;

class ContactUsController extends Controller
{

    public function index()
    {

        $contact_us = ContactUs::all();


        return view('backend.modules.contact_us.index', compact('contact_us'));
    }

    public function store(Request $request)
    {
        // Validate the request
        $request->validate([
            'full_name' => 'required',
            'email' => 'required|email',
            'contact_number' => 'required|digits:11',
            'message' => 'required',
        ]);

        // Create the news item
        ContactUs::create([
            'full_name' => $request->input('full_name'),
            'email' => $request->input('email'),
            'contact_number' => $request->input('contact_number'),
            'message' => $request->input('message'),
        ]);

        return redirect()->back()->with('success', 'Success!')->with('message', 'Your message has been submitted successfully!')->with('message2', 'We will get back to you soon')->with('thank you', 'Thank you for contacting us!');
    }
    public function destroy($id)
    {
        $contactus = ContactUs::findOrFail($id);
        $contactus->delete();

        return redirect()->back()->with('success', 'Message deleted successfully.');
    }
}
