<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReservationsTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('reservations', function (Blueprint $table) {
            $table->id();
            $table->foreignId('seat_id')->constrained('seats')->onDelete('cascade'); // Relates to the seats table
            $table->string('full_name');
            $table->string('contact_number');
            $table->string('email');
            $table->date('reservation_date');
            $table->time('estimated_time_arrival');
            $table->integer('number_of_guests');
            $table->decimal('amount_to_pay', 10, 2); // Stores the price
            $table->text('notes')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('reservations');
    }
}

