<x-app-layout>
    <div class="container p-6 mx-auto">

        <div class="flex items-center justify-between py-4">
            <div>
                <h1 class="text-3xl font-extrabold text-gray-800">Contact Us</h1>
            </div>
        </div>

        <div class="overflow-hidden ">
            <div class="overflow-x-auto">
                <table id="contactussTable" class="min-w-full bg-white border border-gray-200">
                    <thead class="bg-gray-100">
                        <tr>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-left text-gray-700 uppercase border-b border-gray-200">
                                Full Name
                            </th>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-left text-gray-700 uppercase border-b border-gray-200">
                                Email
                            </th>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-left text-gray-700 uppercase border-b border-gray-200">
                                Contact Number
                            </th>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-left text-gray-700 uppercase border-b border-gray-200">
                                Message
                            </th>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-center text-gray-700 uppercase border-b border-gray-200">
                                Actions
                            </th>
                        </tr>
                    </thead>
                    <tbody class="divide-y divide-gray-200">
                        @foreach ($contact_us as $contactus)
                        <tr class="hover:bg-gray-50">
                            <td class="px-6 py-4 text-sm text-gray-800">
                                {{ $contactus->full_name }}
                            </td>
                            <td class="px-6 py-4 text-sm text-gray-800">
                                {{ $contactus->email }}
                            </td>
                            <td class="px-6 py-4 text-sm text-gray-800">
                                {{ $contactus->contact_number }}
                            </td>
                            <td class="px-6 py-4 text-sm text-gray-800">
                                {{ $contactus->message }}
                            </td>
                            <td class="px-6 py-4 text-center">
                                <div class="flex space-x-4">
                                    <form action="{{ route('admin.contactus.destroy', $contactus->id) }}" method="POST"
                                        onsubmit="return confirm('Are you sure you want to delete this contactus?');">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit"
                                            class="inline-block px-4 py-2 text-sm font-medium text-white transition bg-red-500 rounded-lg hover:bg-red-700">
                                            Delete
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>

    </div>

    <!-- Include DataTables CDN -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>

    <script>
        // Initialize DataTable
        $(document).ready(function() {
            $('#contactussTable').DataTable({
                responsive: true,
                paging: true,
                searching: true,
                info: true,
                columnDefs: [{
                        orderable: false,
                        targets: 0
                    } // Disable ordering for the Actions column
                ],
                language: {
                    search: "Filter:",
                    lengthMenu: "Show _MENU_ entries",
                }
            });
        });
    </script>
</x-app-layout>