<x-app-layout>
    <div class="container max-w-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-6 text-3xl font-semibold text-center text-gray-800">Add Event</h1>

        <form method="POST" action="{{ route('events.store') }}">
            @csrf
            <div class="mb-6">
                <label for="seat_id" class="block text-sm font-medium text-gray-700">Select Seat</label>
                <select name="seat_id" id="seat_id" class="block w-full p-3 mt-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500">
                    @foreach ($seats as $seat)
                    <option value="{{ $seat->id }}">{{ $seat->name }}</option>
                    @endforeach
                </select>
            </div>

            <div class="mb-6">
                <label for="date" class="block text-sm font-medium text-gray-700">Event Date</label>
                <input type="date" name="date" id="date" class="block w-full p-3 mt-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500" required>
            </div>

            <div class="mb-6">
                <label for="price" class="block text-sm font-medium text-gray-700">Consumables</label>
                <input type="text" name="price" id="price" class="block w-full p-3 mt-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500">
            </div>

            <div class="mb-6">
                <label for="door_charge" class="block text-sm font-medium text-gray-700">Door Charge</label>
                <input type="text" name="door_charge" id="door_charge" class="block w-full p-3 mt-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500">
            </div>

            <div class="flex justify-center">
                <button type="submit" class="px-6 py-3 text-white transition bg-blue-500 rounded-lg hover:bg-blue-600 focus:outline-none focus:ring-2 focus:ring-blue-400 focus:ring-opacity-75">
                    Add Event
                </button>
            </div>
        </form>
    </div>
</x-app-layout>