<x-app-layout>
    <div class="container p-4 mx-auto">
        <h1 class="mb-4 text-2xl font-bold">Edit Event</h1>
        @if ($errors->any())
        <div class="p-4 mb-4 text-white bg-red-500 rounded">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
        @endif
        <form method="POST" action="{{ route('events.update', $event->id) }}">
            @csrf
            @method('PUT') <!-- This specifies that the form is a PUT request -->

            <div class="mb-4">
                <label for="seat_id" class="block text-sm font-medium">Seat</label>
                <select name="seat_id" id="seat_id" class="block w-full p-2 mt-1 border rounded">
                    @foreach ($seats as $seat)
                    <option disabled value="{{ $seat->id }}" {{ $seat->id == $event->seat_id ? 'selected' : '' }}>
                        {{ $seat->name }}
                    </option>
                    @endforeach
                </select>
            </div>

            <div class="mb-4">
                <label for="date" class="block text-sm font-medium">Event Date</label>
                <input type="date" name="date" id="date" class="block w-full p-2 mt-1 border rounded" value="{{ $event->date->date }}" required>
            </div>

            <div class="mb-4">
                <label for="price" class="block text-sm font-medium">Consumables</label>
                <input type="text" name="price" id="price" class="block w-full p-2 mt-1 border rounded" value="{{ $event->price }}">
            </div>

            <div class="mb-4">
                <label for="door_charge" class="block text-sm font-medium">Door Charge</label>
                <input type="text" name="door_charge" id="door_charge" class="block w-full p-2 mt-1 border rounded" value="{{ $event->door_charge }}">
            </div>

            <button type="submit" class="px-4 py-2 text-white bg-blue-500 rounded hover:bg-blue-600">
                Update Event
            </button>
        </form>
    </div>
</x-app-layout>