<x-app-layout>
    <div class="container p-6 mx-auto">
        <h1 class="mb-6 text-3xl font-semibold text-gray-800">Event Management</h1>

        <div class="overflow-x-auto ">
            <table id="eventTable" class="min-w-full bg-white border-collapse table-auto">
                <thead class="text-gray-700 bg-gray-100">
                    <tr>
                        <th class="px-6 py-4 text-left border-b">Date</th>
                        <th class="px-6 py-4 text-left border-b">Seat Name</th>
                        <th class="px-6 py-4 text-left border-b">Consumables</th>
                        <th class="px-6 py-4 text-left border-b">Door Charge</th>
                        <th class="px-6 py-4 text-left border-b">Actions</th>
                    </tr>
                </thead>
                <tbody class="text-gray-600">
                    @foreach ($event_table as $event_tables)
                    <tr class="hover:bg-gray-50">
                        <td class="px-6 py-4 border-b">{{ $event_tables->date->date }}</td>
                        <td class="px-6 py-4 border-b">{{ $event_tables->seat->name }}</td>
                        <td class="px-6 py-4 border-b">{{ $event_tables->price }}</td>
                        <td class="px-6 py-4 border-b">{{ $event_tables->door_charge }}</td>
                        <td class="px-6 py-4 gap-4 border-b flex flex-wrap">
                            <a href="{{ route('events.edit_events', $event_tables->id) }}"
                                class="px-4 py-2 text-sm font-semibold text-white transition duration-150 ease-in-out bg-blue-600 rounded-lg hover:bg-blue-700">
                                Edit
                            </a>
                            <form action="{{ route('events.delete.events', $event_tables->id) }}" method="POST" class="inline-block">
                                @csrf
                                @method('DELETE')
                                <button type="submit"
                                    class="px-4 py-2 text-sm font-semibold text-white transition duration-150 ease-in-out bg-red-600 rounded-lg hover:bg-red-700">
                                    Delete
                                </button>
                            </form>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>

    <!-- DataTable Scripts -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#eventTable').DataTable({
                "paging": true,
                "searching": true,
                "ordering": true,
                "info": true
            });
        });
    </script>
</x-app-layout>