<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title> XCLV Bar Davao City | Premium Cocktails, Live Entertainment & Unforgettable Nights</title>
    <meta name="description"
        content="Welcome to XCLV, Davao City's premier bar offering handcrafted cocktails, gourmet cuisine, and vibrant live entertainment. Experience unforgettable nights in a stylish and welcoming ambiance. Book your table today!">
    <meta name="keywords"
        content="XCLV, bar in Davao City, Davao nightlife, premium cocktails Davao, live entertainment Davao, gourmet bar food, table reservation bar, best bars in Davao, nightlife Davao City, XCLV bar Philippines">

    <!-- Open Graph Meta Tags -->
    <meta property="og:image" content="{{ asset('images/meta-thumbnail_XCLV.png') }}" />
    <meta property="og:thumbnail" content="{{ asset('images/meta-thumbnail_XCLV.png') }}" />
    <meta property="og:image:alt" content="{{ asset('images/meta-thumbnail_XCLV.png') }}">
    <meta property="og:title" content="XCLV Bar Davao City | Premium Cocktails, Live Entertainment & Unforgettable Nights">
    <meta property="og:description"
        content="Welcome to XCLV, Davao City's premier bar offering handcrafted cocktails, gourmet cuisine, and vibrant live entertainment. Experience unforgettable nights in a stylish and welcoming ambiance. Book your table today!">

    <!-- Favicon and Icons -->
    <link rel="icon" href="{{asset('images/favicon.ico')}}" type="image/x-icon">
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
    <link rel="icon" type="image/png" sizes="192x192" href="{{asset('images/android-chrome-192x192.png')}}">
    <link rel="icon" type="image/png" sizes="512x512" href="{{asset('images/android-chrome-512x512.png')}}">
    <link rel="manifest" href="{{asset('images/site.webmanifest')}}">


    <!--Tailwind setup for cpanel-->
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>

    <!--Icons-->
    <link href='https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css' rel='stylesheet'>

    <!--SwiperJs for Carousel-->
    <link rel="stylesheet" href="https://unpkg.com/swiper/swiper-bundle.min.css" />
    <script src="https://unpkg.com/swiper/swiper-bundle.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css" />
    <script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@8/swiper-bundle.min.css">
    <link rel="stylesheet" href="https://unpkg.com/swiper/swiper-bundle.min.css">
    <script src="https://cdn.jsdelivr.net/npm/swiper@8/swiper-bundle.min.js"></script>
    <script src="https://unpkg.com/swiper/swiper-bundle.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/flowbite@2.5.2/dist/flowbite.min.css" rel="stylesheet" />


    <!--Google Fonts--->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Anton&family=Mulish:ital,wght@0,100..1000;1,100..1000&display=swap"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Anton&family=Poppins:wght@100;400;700&display=swap"
        rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Saira+Semi+Condensed:wght@100;200;300;400;500;600;700;800;900&display=swap"
        rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Marcellus&display=swap" rel="stylesheet">


    <!--Animate on Scroll-->
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>

    <style>
        .anton-regular {
            font-family: "anton", sans-serif;
            font-weight: 500;
            font-style: normal;
        }

        .poppins-thin {
            font-family: "Poppins", sans-serif;
            font-weight: 100;
            font-style: normal;
        }

        .marcellus-regular {
            font-family: "Marcellus", serif;
            font-weight: 400;
            font-style: normal;
        }


        .poppins-extralight {
            font-family: "Poppins", sans-serif;
            font-weight: 200;
            font-style: normal;
        }

        .poppins-light {
            font-family: "Poppins", sans-serif;
            font-weight: 300;
            font-style: normal;
        }

        .poppins-regular {
            font-family: "Poppins", sans-serif;
            font-weight: 400;
            font-style: normal;
        }

        .poppins-medium {
            font-family: "Poppins", sans-serif;
            font-weight: 500;
            font-style: normal;
        }

        .poppins-semibold {
            font-family: "Poppins", sans-serif;
            font-weight: 600;
            font-style: normal;
        }

        .poppins-bold {
            font-family: "Poppins", sans-serif;
            font-weight: 700;
            font-style: normal;
        }

        .poppins-extrabold {
            font-family: "Poppins", sans-serif;
            font-weight: 800;
            font-style: normal;
        }

        .poppins-black {
            font-family: "Poppins", sans-serif;
            font-weight: 900;
            font-style: normal;
        }

        .poppins-thin-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 100;
            font-style: italic;
        }

        .poppins-extralight-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 200;
            font-style: italic;
        }

        .poppins-light-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 300;
            font-style: italic;
        }

        .poppins-regular-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 400;
            font-style: italic;
        }

        .poppins-medium-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 500;
            font-style: italic;
        }

        .poppins-semibold-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 600;
            font-style: italic;
        }

        .poppins-bold-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 700;
            font-style: italic;
        }

        .poppins-extrabold-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 800;
            font-style: italic;
        }

        .poppins-black-italic {
            font-family: "Poppins", sans-serif;
            font-weight: 900;
            font-style: italic;
        }

        .saira-semi-condensed-thin {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 100;
            font-style: normal;
        }

        .saira-semi-condensed-extralight {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 200;
            font-style: normal;
        }

        .saira-semi-condensed-light {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 300;
            font-style: normal;
        }

        .saira-semi-condensed-regular {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 400;
            font-style: normal;
        }

        .saira-semi-condensed-medium {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 500;
            font-style: normal;
        }

        .saira-semi-condensed-semibold {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 600;
            font-style: normal;
        }

        .saira-semi-condensed-bold {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 700;
            font-style: normal;
        }

        .saira-semi-condensed-extrabold {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 800;
            font-style: normal;
        }

        .saira-semi-condensed-black {
            font-family: "Saira Semi Condensed", sans-serif;
            font-weight: 900;
            font-style: normal;
        }
    </style>

    @vite('resources/css/app.css')
</head>

<body class="poppins-regular">
    <script src="https://cdn.jsdelivr.net/npm/flowbite@2.5.2/dist/flowbite.min.js"></script>
    @yield('content')

    <script>
        AOS.init();
    </script>

</body>

</html>