<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Reservation Cancellation Confirmation</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            color: #333;
        }

        .container {
            width: 100%;
            max-width: 600px;
            margin: 30px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        h1 {
            color: #333;
            font-size: 24px;
            text-align: center;
            margin-bottom: 20px;
        }

        p {
            font-size: 16px;
            line-height: 1.6;
            margin: 10px 0;
        }

        .details {
            background-color: #f9f9f9;
            padding: 10px;
            border-left: 4px solid #007BFF;
            margin: 20px 0;
        }

        .footer {
            text-align: center;
            font-size: 14px;
            color: #777;
            margin-top: 40px;
        }
    </style>

</head>

<body>
    <div class="container">
        <h1>Reservation Cancellation Confirmation</h1>
        <p>Hi <?php echo e($fullName); ?>,</p>
        <p>We’re sorry to hear that you’re canceling your reservation with us. Here are the details of the canceled booking:</p>

        <ul class="details">
            <li><strong>Table/Seat:</strong> <?php echo e($seatName); ?></li>
            <li><strong>Consumable:</strong> <?php echo e($amountToPay); ?></li>
            <li><strong>Door Charge:</strong> <?php echo e($door_charge); ?></li>
            <li><strong>Reservation Date:</strong> <?php echo e($reservationDate); ?></li>
            <li><strong>Estimated Time of Arrival:</strong> <?php echo e($estimatedTimeArrival); ?></li>
            <li><strong>Number of Guests:</strong> <?php echo e($guests); ?></li>
            <li><strong>Contact Number:</strong> <?php echo e($contactNumber); ?></li>
            <li><strong>Email Address:</strong> <?php echo e($email); ?></li>
            <li><strong>Notes:</strong> <?php echo e($notes ?? 'None'); ?></li>
        </ul>

        <p>If there’s anything we can do to assist you further, feel free to reach out. We hope to welcome you again in the future!</p>

        <p>Thank you.</p>

        <div class="footer">
            <p>If you have any questions, please don’t hesitate to contact us.</p>
        </div>
    </div>
</body>

</html><?php /**PATH /home/rwebserver/public_html/XCLV/resources/views/emails/cancellation.blade.php ENDPATH**/ ?>