<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

    <div id="reservationModal"
        class="fixed inset-0 z-50 flex items-center justify-center hidden overflow-y-auto bg-black bg-opacity-50 h-fixed">
        <div class="w-full max-w-lg p-6 bg-white rounded-lg">
            <div id="errorMessages" class="hidden mb-4 text-red-600"></div>
            <form method="POST" action="<?php echo e(route('user.reservations.store')); ?>" id="reservationForm">
                <?php echo csrf_field(); ?> <!-- Laravel CSRF Token for Security -->
                <h2 class="mb-4 text-2xl font-bold">Reservation Details</h2>

                <!-- Hidden fields for the selected seat data -->
                <input type="hidden" name="seat_id" id="seat_id" readonly>
                <input type="hidden" name="seat_name" id="seat_name" readonly>
                <input type="hidden" name="seat_price" id="seat_price" readonly>
                <input type="hidden" name="door_charge" id="door_charge" readonly>
                <input type="hidden" name="seat_available" id="seat_available" readonly>
                <input type="hidden" name="amount_to_pay" id="amount_to_pay" readonly>
                <input type="hidden" name="seat_available_time" id="seat_available_time" readonly>

                <!-- Dynamic Table Information -->
                <h1 id="tableInfo" class="mb-4 text-xl font-semibold"></h1>



                <!-- Full Name Input -->
                <div class="mt-4">
                    <label for="fullName" class="block mb-2">Full Name:</label>
                    <input type="text" name="fullName" id="fullName" class="w-full p-2 border rounded"
                        placeholder="Enter your full name" required>
                </div>

                <!-- Contact Number Input -->
                <div class="mt-4">
                    <label for="contactNumber" class="block mb-2">Contact Number:</label>
                    <input
                        type="tel"
                        name="contactNumber"
                        id="contactNumber"
                        class="w-full p-2 border rounded"
                        placeholder="Enter your contact number"
                        maxlength="11"
                        oninput="this.value = this.value.replace(/[^0-9]/g, '').slice(0, 11)"
                        required>
                </div>

                <!-- Email Address Input -->
                <div class="mt-4">
                    <label for="emailAddress" class="block mb-2">Email Address:</label>
                    <input type="email" name="emailAddress" id="emailAddress" class="w-full p-2 border rounded"
                        placeholder="Enter your email address" required>
                </div>


                <!-- Estimated Time of Arrival -->
                <div class="mt-4">
                    <label for="eta" class="block mb-2">Estimated Time of Arrival (ETA):</label>
                    <select name="eta" id="eta" class="w-full p-2 border rounded" required>
                        <!-- Dynamic options will be populated here -->
                    </select>
                </div>

                <!-- Number of Guests -->
                <div class="mt-4">
                    <label for="guests" class="block mb-2">No. of Guests:</label>
                    <input type="number" name="guests" id="guests" class="w-full p-2 border rounded"
                        placeholder="Enter number of guests" required min="1">
                </div>

                <!-- Special Notes -->
                <div class="mt-4">
                    <label for="notes" class="block mb-2">Special Notes (optional):</label>
                    <textarea name="notes" id="notes" class="w-full p-2 border rounded" placeholder="Any special requests or notes?"></textarea>
                </div>

                <!-- Submit and Close Buttons -->
                <div class="flex justify-between mt-4">
                    <button type="submit" id="confirmReservationButton" class="bg-[#EBB757] text-white py-2 px-4 rounded hover:bg-[#d8a746]">
                        Confirm Reservation
                    </button>
                    <button type="button" id="closeModalButton"
                        class="px-4 py-2 text-white bg-red-500 rounded hover:bg-red-700">
                        Close
                    </button>
                </div>
            </form>

        </div>
    </div>

    <script>
        // When the form is submitted, transfer the selected reservation date to the modal
        const reservationDateInput = document.getElementById('reservationDate');
        const modalDateInput = document.getElementById('reservationModal').querySelector('input[name="reservationDate"]');

        // When the reservation form is submitted (or another trigger happens), update modal
        document.querySelector('form[action="<?php echo e(route("admin.seats.map")); ?>"]').addEventListener('submit', function(event) {
            const selectedDate = reservationDateInput.value;
            modalDateInput.value = selectedDate; // Pre-populate the modal date field
        });
    </script>


    <div id="modal" class="fixed inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
        <div class="w-full p-6 bg-white rounded-lg lg:w-1/3">

            <div id="title" class="hidden mt-4">
                <h2 class="mb-4 text-xl font-bold">Seat Details</h2>
            </div>

            <div id="title2" class="hidden mt-4">
                <h2 class="mb-4 text-xl font-bold">Reservation Details</h2>
            </div>
            <!-- Modal Form for seat status updates -->
            <form id="seat-status-form" action="<?php echo e(route('update.seat.status')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <input type="hidden" id="seat-id-input" name="seat_id" readonly>
                <input type="hidden" id="seat-fullname-input" name="seat_fullname" readonly>
                <input type="hidden" id="seat-email-input" name="seat_email" readonly>
                <input type="hidden" id="seat-contact-input" name="seat_contact_number" readonly>
                <input type="hidden" id="seat-status-input" name="seat_status" readonly>
                <input type="hidden" id="seat-table-status-input" name="seat_table_status" readonly>
                <input type="hidden" id="seat-date-input" name="reservation_date" readonly>

                <div id="seat-details" class="hidden mt-4">
                    <p><strong>Table/Seat:</strong> <span id="modal-seat-name"></span></p>
                </div>

                <div id="seat-details2" class="hidden mt-4">
                    <p><strong>Consumables:</strong> <span id="modal-seat-price"></span></p>
                    <p><strong>Door Charge:</strong> <span id="modal-door-charge"></span></p>
                    <p><strong>Available Seats:</strong><span id="modal-available-seats"></span></p>
                    <p><strong>Available Time:<span id="seat-available-time"></span></strong></p>
                    <p><strong>Seat ID:</strong> <span id="modal-seat-id"></span></p>

                </div>

                <!-- Reservation details -->
                <div id="reservation-details" class="hidden mt-4">
                    <p><strong>Full Name:</strong> <span id="modal-full-name"></span></p>
                    <p><strong>Contact Number:</strong> <span id="modal-contact-number"></span></p>
                    <p><strong>Email:</strong> <span id="modal-email"></span></p>
                    <p class="hidden"><strong>Amount to Pay:</strong> <span id="modal-amount-to-pay"></span></p>
                    <p class="hidden"><strong>Number of Guests:</strong> <span id="modal-number-of-guests"></span></p>
                    <p><strong>Date Reserved:</strong> <span id="modal-date-reserved"></span></p>
                    <p><strong>Estimated Time Arrival:</strong> <span id="modal-eta"></span></p>
                    <p><strong>Status:</strong> <span id="modal-confirmed"></span></p>
                </div>

                <!-- Add checkbox for confirming reservation -->
                <div id="is_confirmed" class="mt-4">
                    <label for="is_confirmed_checkbox" class="inline-flex items-center">
                        <input type="checkbox" id="is_confirmed_checkbox" name="is_confirmed" class="form-checkbox">
                        <span class="ml-2">Confirm Reservation</span>
                    </label>
                </div>


                <!-- Buttons for changing seat status -->
                <div id="seat-status-actions">
                    <button type="submit" id="checked-out-btn"
                        class="hidden p-2 mt-4 text-white bg-green-500 rounded-lg" name="status"
                        value="available">Checked-Out</button>
                    <button type="submit" id="cancel-btn" class="hidden p-2 mt-4 text-white bg-red-500 rounded-lg"
                        name="status" value="cancel" onclick="setEmailForCancel()">Cancel</button>
                    <button type="button" id="reserve-btn" class="hidden p-2 mt-4 text-white bg-blue-500 rounded-lg"
                        name="status" value="occupied" onclick="openReservationModal()">Reserve</button>
                </div>
            </form>

            <!-- Separate Form for Block and Unblock buttons -->
            <form id="block-unblock-form" action="<?php echo e(route('update_seat_status')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <input type="hidden" id="block-seat-id-input" name="seat_id">
                <input type="hidden" id="block-seat-status-input" name="seat_status">
                <input type="hidden" id="modal-date-reservation" name="reservation_date">

                <div id="block-unblock-actions">
                    <button type="submit" id="unblock-btn" class="hidden p-2 mt-4 text-white bg-blue-500 rounded-lg"
                        name="status" value="unavailable">Unblock</button>
                    <button type="submit" id="block-btn" class="hidden p-2 mt-4 text-white bg-gray-700 rounded-lg"
                        name="status" value="block">Block</button>
                    <button type="submit" id="occupy-btn" class="p-2 mt-4 text-white bg-purple-500 rounded-lg"
                        name="status" value="occupied">Occupy</button>
                    <button type="submit" id="unoccupy-btn" class="p-2 mt-4 text-white bg-orange-500 rounded-lg"
                        name="status" value="available">Vacant</button>
                </div>
            </form>

            <!-- Close Modal Button -->
            <button type="button" id="close-modal" class="p-2 mt-4 text-white bg-gray-500 rounded-lg">Close</button>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const checkbox = document.getElementById('is_confirmed_checkbox');
            if (checkbox) {
                checkbox.addEventListener('change', function() {
                    if (this.checked) {
                        document.getElementById('seat-status-input').value = 'confirmed';
                        document.getElementById('seat-status-form').submit();
                    }
                });
            }
        });



        // Handle Checked-Out button click
        document.getElementById('checked-out-btn').addEventListener('click', function(event) {
            event.preventDefault(); // Prevent immediate form submission
            document.getElementById('seat-status-input').value = 'check-out'; // Set status to "available"
            document.getElementById('seat-status-form').submit(); // Submit the form
        });

        // Handle Cancel button click
        document.getElementById('cancel-btn').addEventListener('click', function(event) {
            event.preventDefault(); // Prevent immediate form submission
            document.getElementById('seat-status-input').value = 'cancel'; // Set status to "cancel"
            document.getElementById('seat-status-form').submit(); // Submit the form
        });

        // Handle Block button click
        document.getElementById('block-btn').addEventListener('click', function(event) {
            event.preventDefault(); // Prevent immediate form submission
            document.getElementById('block-seat-status-input').value = 'unavailable'; // Set status to "unavailable"
            document.getElementById('block-unblock-form').submit(); // Submit the form
        });

        // Handle Unblock button click
        document.getElementById('unblock-btn').addEventListener('click', function(event) {
            event.preventDefault(); // Prevent immediate form submission
            document.getElementById('block-seat-status-input').value = 'available'; // Set status to "available"
            document.getElementById('block-unblock-form').submit(); // Submit the form
        });

        // Handle Occupy button click
        document.getElementById('occupy-btn').addEventListener('click', function(event) {
            event.preventDefault(); // Prevent immediate form submission
            document.getElementById('block-seat-status-input').value = 'occupied'; // Set status to "occupied"
            document.getElementById('block-unblock-form').submit(); // Submit the form
        });

        // Handle Unoccupy button click
        document.getElementById('unoccupy-btn').addEventListener('click', function(event) {
            event.preventDefault(); // Prevent immediate form submission
            document.getElementById('block-seat-status-input').value = 'available'; // Set status to "available"
            document.getElementById('block-unblock-form').submit(); // Submit the form
        });

        // Handle Close button click
        document.getElementById('close-modal').addEventListener('click', function() {
            document.getElementById('modal').classList.add('hidden');
        });

        function setEmailForCancel() {
            // Get the email from the modal
            var email = document.getElementById('modal-email').innerText;

            // Check if the element exists before trying to set its value
            var cancelEmailInput = document.getElementById('cancel-email');
            if (cancelEmailInput) {
                cancelEmailInput.value = email;
            }

            // Optionally, submit the form or perform other actions
            document.getElementById('seat-status-form').submit();
        }
    </script>


    <div>
        <h1 class="font-semibold">Table Reservation System</h1>
        <label for="reservationDate" class="text-sm font-medium text-gray-700 ">
            Select Reservation Date
        </label>
        <div class="flex flex-row flex-wrap gap-2">
            <div>
                <form method="GET" action="<?php echo e(route('admin.seats.map')); ?>">
                    <div class="flex flex-row flex-wrap gap-2">
                        <div>
                            <input
                                type="date"
                                id="reservationDate"
                                name="reservation_date"
                                class="block w-full p-2 border border-gray-300 rounded-md shadow-sm lg:w-44 focus:ring-indigo-500 focus:border-indigo-500"
                                value="<?php echo e(request()->input('reservation_date', date('Y-m-d'))); ?>">
                        </div>
                        <div>
                            <button type="submit" class="px-4 py-2 text-white bg-blue-500 rounded">Check Availability</button>
                        </div>
                    </div>
                </form>
            </div>

            <div>
                <?php if(request()->has('reservation_date')): ?>
                <form method="POST" action="<?php echo e(route('status.unavailable')); ?>">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="reservation_date" value="<?php echo e(request()->input('reservation_date')); ?>">

                    <div>
                        <button type="submit" class="px-4 py-2 text-white bg-red-500 rounded">Set All Seats Unavailable</button>
                    </div>
                </form>
                <?php endif; ?>
            </div>


        </div>

        <div class="bg-[#7B04D0] my-4">
            <p class="flex justify-center py-4 text-white text-md md:text-2xl">
                TABLES/SEATS ON:
                <?php echo e(request()->input('reservation_date', now()->format('m-d-Y'))); ?>

            </p>
        </div>
    </div>


    <!-- Display general errors -->
    <?php if($errors->any()): ?>
    <div class="mb-4 text-red-500">
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
    <?php endif; ?>


    <div class="overflow-x-auto">
        <div class="grid items-start grid-cols-7 gap-0 pt-14">

            <!-- VVIP Seat Button -->
            <div class="border-2 border-black flex items-center  mr-2 justify-center h-14 lg:h-32 cursor-pointer col-span-2 openModal
            <?php
                $pendingReservation = $vvip2->reservations
                    ->whereIn('status', ['confirmed', 'pending'])
                    ->where('reservation_date', $selectedDate)
                    ->first();
            ?>
            <?php
                $unavailableReservation = $vvip2->unavailable
                    ->where('status', 'unavailable')
                    ->where('date', $selectedDate)
                    ->first();
            ?>
            <?php
                $occupiedReservation = $vvip2->reservations
                    ->where('status', 'occupied')
                    ->where('reservation_date', $selectedDate)
                    ->first();
            ?>
                <?php if($unavailableReservation): ?> 
                    bg-black text-gray-500
                <?php elseif($occupiedReservation): ?> 
                    bg-red-500 text-white
                <?php elseif($pendingReservation && $pendingReservation->status === 'confirmed'): ?>
                    bg-green-500 text-white
                <?php elseif($pendingReservation && $pendingReservation->status === 'pending'): ?>
                    text-black bg-gray-500
                <?php else: ?>
                    bg-[#EBB757] text-black
                <?php endif; ?> "

                id=" vvip-<?php echo e($vvip2->id); ?>"
                data-id="<?php echo e($vvip2->id); ?>"
                data-name="<?php echo e($vvip2->name); ?>"
                data-price="<?php echo e($vvip2->priceForDate($selectedDate)); ?>"
                data-door-charge="<?php echo e($vvip2->doorchargeForDate($selectedDate)); ?>"
                data-seats="<?php echo e($vvip2->seat_available); ?>"
                data-available-time="<?php echo e($vvip2->time); ?>"
                data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vvip2->status); ?>"

                <?php if($pendingReservation || $occupiedReservation): ?>
                data-full-name="<?php echo e($pendingReservation ? $pendingReservation->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                data-confirmed="<?php echo e($pendingReservation ? $pendingReservation->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                data-contact-number="<?php echo e($pendingReservation ? $pendingReservation->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                data-email="<?php echo e($pendingReservation ? $pendingReservation->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                data-amount-to-pay="<?php echo e($pendingReservation ? $pendingReservation->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                data-number-of-guests="<?php echo e($pendingReservation ? $pendingReservation->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                data-date-reserved="<?php echo e($pendingReservation ? $pendingReservation->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                data-status="<?php echo e($pendingReservation ? $pendingReservation->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                data-time="<?php echo e($pendingReservation ? $pendingReservation->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                <?php endif; ?>>
                <p class="py-8 text-[10px] lg:text-3xl text-center">
                    <?php echo e($vvip2->name); ?>

                </p>
            </div>

            <!-- STAGE -->
            <div class="flex flex-col items-center justify-center col-span-3 py-2 text-white bg-black lg:py-8 ">
                <img class="w-10 lg:w-40" src="<?php echo e(asset('images/logo-nav.webp')); ?>" alt="">
                <p class="text-xs text-center lg:text-3xl">STAGE</p>
            </div>

            <!-- VVIP3 -->
            <div class="border-2 border-black flex items-center  ml-2 justify-center h-8 lg:h-24 cursor-pointer p-4 lg:py-8 openModal 
            <?php
            $pendingReservation = $vvip3->reservations
                ->whereIn('status', ['confirmed', 'pending'])
                ->where('reservation_date', $selectedDate)
                ->first();
            ?>
            <?php
                $unavailableReservation = $vvip3->unavailable
                    ->where('status', 'unavailable')
                    ->where('date', $selectedDate)
                    ->first();
            ?>
            <?php
                $occupiedReservation = $vvip3->unavailable
                    ->where('status', 'occupied')
                    ->where('date', $selectedDate)
                    ->first();
            ?>
            <?php if($unavailableReservation): ?> 
                    bg-black text-gray-500
                <?php elseif($occupiedReservation): ?> 
                    bg-red-500 text-white
                <?php elseif($pendingReservation && $pendingReservation->status === 'confirmed'): ?>
                    bg-green-500 text-white
                <?php elseif($pendingReservation && $pendingReservation->status === 'pending'): ?>
                    text-black bg-gray-500
                <?php else: ?>
                bg-[#EBB757] text-black
            <?php endif; ?>
            "
                id="vvip-<?php echo e($vvip3->id); ?>"
                data-id="<?php echo e($vvip3->id); ?>"
                data-name="<?php echo e($vvip3->name); ?>"
                data-price="<?php echo e($vvip3->priceForDate($selectedDate)); ?>"
                data-door-charge="<?php echo e($vvip3->doorchargeForDate($selectedDate)); ?>"
                data-seats="<?php echo e($vvip3->seat_available); ?>"
                data-available-time="<?php echo e($vvip3->time); ?>"
                data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vvip3->status); ?>"

                <?php if($pendingReservation || $occupiedReservation): ?>
                data-full-name="<?php echo e($pendingReservation ? $pendingReservation->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                data-confirmed="<?php echo e($pendingReservation ? $pendingReservation->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                data-contact-number="<?php echo e($pendingReservation ? $pendingReservation->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                data-email="<?php echo e($pendingReservation ? $pendingReservation->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                data-amount-to-pay="<?php echo e($pendingReservation ? $pendingReservation->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                data-number-of-guests="<?php echo e($pendingReservation ? $pendingReservation->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                data-date-reserved="<?php echo e($pendingReservation ? $pendingReservation->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                data-status="<?php echo e($pendingReservation ? $pendingReservation->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                data-time="<?php echo e($pendingReservation ? $pendingReservation->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                <?php endif; ?>>
                <p class="py-8 text-[10px] lg:text-3xl text-center">
                    <?php echo e($vvip3->name); ?>

                </p>
            </div>


            <div class="border-2 border-black flex items-center justify-center  h-24 lg:h-[20rem] p-4 lg:py-8 cursor-pointer openModal
        <?php
            $pendingReservation = $vvip4->reservations
                ->whereIn('status', ['confirmed', 'pending'])
                ->where('reservation_date', $selectedDate)
                ->first();
            ?>
            <?php
                $unavailableReservation = $vvip4->unavailable
                    ->where('status', 'unavailable')
                    ->where('date', $selectedDate)
                    ->first();
            ?>
            <?php
                $occupiedReservation = $vvip4->reservations
                    ->where('status', 'occupied')
                    ->where('reservation_date', $selectedDate)
                    ->first();
            ?>
            <?php if($unavailableReservation): ?> 
                    bg-black text-gray-500
                <?php elseif($occupiedReservation): ?> 
                    bg-red-500 text-white
                <?php elseif($pendingReservation && $pendingReservation->status === 'confirmed'): ?>
                    bg-green-500 text-white
                <?php elseif($pendingReservation && $pendingReservation->status === 'pending'): ?>
                    text-black bg-gray-500
                <?php else: ?>
                bg-[#EBB757] text-black
            <?php endif; ?>
            "

                data-id="<?php echo e($vvip4->id); ?>"
                data-name="<?php echo e($vvip4->name); ?>"
                data-price="<?php echo e($vvip4->priceForDate($selectedDate)); ?>"
                data-door-charge="<?php echo e($vvip4->doorchargeForDate($selectedDate)); ?>"
                data-seats="<?php echo e($vvip4->seat_available); ?>"
                data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vvip4->status); ?>"
                data-available-time="<?php echo e($vvip4->time); ?>"

                <?php if($pendingReservation || $occupiedReservation): ?>
                data-full-name="<?php echo e($pendingReservation ? $pendingReservation->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                data-confirmed="<?php echo e($pendingReservation ? $pendingReservation->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                data-contact-number="<?php echo e($pendingReservation ? $pendingReservation->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                data-email="<?php echo e($pendingReservation ? $pendingReservation->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                data-amount-to-pay="<?php echo e($pendingReservation ? $pendingReservation->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                data-number-of-guests="<?php echo e($pendingReservation ? $pendingReservation->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                data-date-reserved="<?php echo e($pendingReservation ? $pendingReservation->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                data-status="<?php echo e($pendingReservation ? $pendingReservation->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                data-time="<?php echo e($pendingReservation ? $pendingReservation->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                <?php endif; ?>>
                <p class="py-8 text-[10px] lg:text-3xl text-center">
                    <?php echo e($vvip4->name); ?>

                </p>
            </div>




            <div class="grid h-96 gap-4 -mt-[2rem] ">
                <div class="grid grid-cols-1 gap-0 lg:grid-rows-2">
                    <div class="border-2 border-black flex items-center justify-center h-20 lg:h-full p-4 lg:py-8 cursor-pointer openModal
                        <?php
                        $pendingReservation = $vvip1->reservations
                            ->whereIn('status', ['confirmed', 'pending'])
                            ->where('reservation_date', $selectedDate)
                            ->first();
                        ?>

                        <?php
                            $unavailableReservation = $vvip1->unavailable
                                ->where('status', 'unavailable')
                                ->where('date', $selectedDate)
                                ->first();
                        ?>
                        <?php
                            $occupiedReservation = $vvip1->reservations
                                ->where('status', 'occupied')
                                ->where('reservation_date', $selectedDate)
                                ->first();
                        ?>
                        <?php if($unavailableReservation): ?> 
                            bg-black text-gray-500
                        <?php elseif($occupiedReservation): ?> 
                            bg-red-500 text-white
                        <?php elseif($pendingReservation && $pendingReservation->status === 'confirmed'): ?>
                            bg-green-500 text-white
                        <?php elseif($pendingReservation && $pendingReservation->status === 'pending'): ?>
                            text-black bg-gray-500
                        <?php else: ?>
                            bg-[#EBB757] text-black
                        <?php endif; ?>
                        "
                        data-id="<?php echo e($vvip1->id); ?>"
                        data-name="<?php echo e($vvip1->name); ?>"
                        data-price="<?php echo e($vvip1->priceForDate($selectedDate)); ?>"
                        data-door-charge="<?php echo e($vvip1->doorchargeForDate($selectedDate)); ?>"
                        data-seats="<?php echo e($vvip1->seat_available); ?>"
                        data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vvip1->status); ?>"
                        data-available-time="<?php echo e($vvip1->time); ?>"

                        <?php if($pendingReservation || $occupiedReservation): ?>
                        data-full-name="<?php echo e($pendingReservation ? $pendingReservation->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                        data-confirmed="<?php echo e($pendingReservation ? $pendingReservation->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                        data-contact-number="<?php echo e($pendingReservation ? $pendingReservation->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                        data-email="<?php echo e($pendingReservation ? $pendingReservation->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                        data-amount-to-pay="<?php echo e($pendingReservation ? $pendingReservation->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                        data-number-of-guests="<?php echo e($pendingReservation ? $pendingReservation->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                        data-date-reserved="<?php echo e($pendingReservation ? $pendingReservation->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                        data-status="<?php echo e($pendingReservation ? $pendingReservation->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                        data-time="<?php echo e($pendingReservation ? $pendingReservation->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                        <?php endif; ?>>
                        <p class="py-8 text-[10px] lg:text-3xl text-center">
                            <?php echo e($vvip1->name); ?>

                        </p>
                    </div>




                    <div class="flex flex-col gap-0 -mt-[10rem] lg:mt-0">
                        <div class="border-2 border-black flex items-center justify-center h-14 lg:h-32  p-4 lg:py-8 cursor-pointer openModal
                            <?php
                            $pendingReservation = $vip3->reservations
                                ->whereIn('status', ['confirmed', 'pending'])
                                ->where('reservation_date', $selectedDate)
                                ->first();
                            ?>
                            <?php
                                $unavailableReservation = $vip3->unavailable
                                    ->where('status', 'unavailable')
                                    ->where('date', $selectedDate)
                                    ->first();
                            ?>
                            <?php
                                $occupiedReservation = $vip3->reservations
                                    ->where('status', 'occupied')
                                    ->where('reservation_date', $selectedDate)
                                    ->first();
                            ?>
                             <?php if($unavailableReservation): ?> 
                                bg-black text-gray-500
                            <?php elseif($occupiedReservation): ?> 
                                bg-red-500 text-white
                            <?php elseif($pendingReservation && $pendingReservation->status === 'confirmed'): ?>
                                bg-green-500 text-white
                            <?php elseif($pendingReservation && $pendingReservation->status === 'pending'): ?>
                                text-black bg-gray-500
                            <?php else: ?>
                                bg-[#7B04D0] text-white
                            <?php endif; ?>
                        "
                            data-id="<?php echo e($vip3->id); ?>"
                            data-name="<?php echo e($vip3->name); ?>"
                            data-price="<?php echo e($vip3->priceForDate($selectedDate)); ?>"
                            data-door-charge="<?php echo e($vip3->doorchargeForDate($selectedDate)); ?>"
                            data-seats="<?php echo e($vip3->seat_available); ?>"
                            data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vip3->status); ?>"
                            data-available-time="<?php echo e($vip3->time); ?>"

                            <?php if($pendingReservation || $occupiedReservation): ?>

                            data-full-name="<?php echo e($pendingReservation ? $pendingReservation->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                            data-confirmed="<?php echo e($pendingReservation ? $pendingReservation->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                            data-contact-number="<?php echo e($pendingReservation ? $pendingReservation->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                            data-email="<?php echo e($pendingReservation ? $pendingReservation->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                            data-amount-to-pay="<?php echo e($pendingReservation ? $pendingReservation->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                            data-number-of-guests="<?php echo e($pendingReservation ? $pendingReservation->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                            data-date-reserved="<?php echo e($pendingReservation ? $pendingReservation->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                            data-status="<?php echo e($pendingReservation ? $pendingReservation->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                            data-time="<?php echo e($pendingReservation ? $pendingReservation->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                            <?php endif; ?>>
                            <p class="py-8 text-[10px] lg:text-3xl text-center">
                                <?php echo e($vip3->name); ?>

                                <?php if($vip3->status === 'occupied'): ?>
                                <!-- Optional content for occupied status -->
                                <?php elseif($vip3->status === 'unavailable'): ?>
                                <!-- Optional content for unavailable status -->
                                <?php endif; ?>
                            </p>
                        </div>


                        <!-- VIP2 -->
                        <div class="border-2 border-black flex items-center justify-center h-14 lg:h-32  p-4 lg:py-8 cursor-pointer openModal
                        <?php
                            $pendingReservation2 = $vip2->reservations
                            ->whereIn('status', ['confirmed', 'pending'])
                                ->where('reservation_date', $selectedDate)
                                ->first();
                            ?>
                            <?php
                                $unavailableReservation = $vip2->unavailable
                                    ->where('status', 'unavailable')
                                    ->where('date', $selectedDate)
                                    ->first();
                            ?>
                            <?php
                                $occupiedReservation = $vip2->reservations
                                ->where('status', 'occupied')
                                ->where('reservation_date', $selectedDate)
                                ->first();
                            ?>
                            <?php if($unavailableReservation): ?> 
                                bg-black text-gray-500
                            <?php elseif($occupiedReservation): ?> 
                                bg-red-500 text-white
                            <?php elseif($pendingReservation2 && $pendingReservation2->status === 'confirmed'): ?>
                                bg-green-500 text-white
                            <?php elseif($pendingReservation2 && $pendingReservation2->status === 'pending'): ?>
                                text-black bg-gray-500
                            <?php else: ?>
                                bg-[#7B04D0] text-white
                            <?php endif; ?>
                            "
                            data-id="<?php echo e($vip2->id); ?>"
                            data-name="<?php echo e($vip2->name); ?>"
                            data-price="<?php echo e($vip2->priceForDate($selectedDate)); ?>"
                            data-door-charge="<?php echo e($vip2->doorchargeForDate($selectedDate)); ?>"
                            data-seats="<?php echo e($vip2->seat_available); ?>"
                            data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vip2->status); ?>"
                            data-available-time="<?php echo e($vip2->time); ?>"

                            <?php if($pendingReservation2 || $occupiedReservation): ?>
                            data-full-name="<?php echo e($pendingReservation2 ? $pendingReservation2->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                            data-confirmed="<?php echo e($pendingReservation2 ? $pendingReservation2->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                            data-contact-number="<?php echo e($pendingReservation2 ? $pendingReservation2->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                            data-email="<?php echo e($pendingReservation2 ? $pendingReservation2->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                            data-amount-to-pay="<?php echo e($pendingReservation2 ? $pendingReservation2->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                            data-number-of-guests="<?php echo e($pendingReservation2 ? $pendingReservation2->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                            data-date-reserved="<?php echo e($pendingReservation2 ? $pendingReservation2->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                            data-status="<?php echo e($pendingReservation2 ? $pendingReservation2->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                            data-time="<?php echo e($pendingReservation2 ? $pendingReservation2->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                            <?php endif; ?>>
                            <p class="py-8 text-[10px] lg:text-3xl text-center">
                                <?php echo e($vip2->name); ?>

                                <?php if($vip2->status === 'occupied'): ?>
                                <!-- Optional content for occupied status -->
                                <?php elseif($vip2->status === 'unavailable'): ?>
                                <!-- Optional content for unavailable status -->
                                <?php endif; ?>
                            </p>
                        </div>



                        <!-- VIP1 -->
                        <div class="border-2 border-black flex items-center justify-center h-14 lg:h-32  p-4 lg:py-8 cursor-pointer openModal
                            <?php
                            $pendingReservation1 = $vip1->reservations
                                ->whereIn('status', ['confirmed', 'pending'])
                                ->where('reservation_date', $selectedDate)
                                ->first();
                            ?>
                            <?php
                                $unavailableReservation = $vip1->unavailable
                                    ->where('status', 'unavailable')
                                    ->where('date', $selectedDate)
                                    ->first();
                            ?>
                            <?php
                                $occupiedReservation = $vip1->reservations
                                ->where('status', 'occupied')
                                ->where('reservation_date', $selectedDate)
                                ->first();
                            ?>
                            <?php if($unavailableReservation): ?> 
                                bg-black text-gray-500
                            <?php elseif($occupiedReservation): ?> 
                                bg-red-500 text-white
                            <?php elseif($pendingReservation1 && $pendingReservation1->status === 'confirmed'): ?>
                                bg-green-500 text-white
                            <?php elseif($pendingReservation1 && $pendingReservation1->status === 'pending'): ?>
                                text-black bg-gray-500
                            <?php else: ?>
                                bg-[#7B04D0] text-white
                            <?php endif; ?>
                        "
                            data-id="<?php echo e($vip1->id); ?>"
                            data-name="<?php echo e($vip1->name); ?>"
                            data-price="<?php echo e($vip1->priceForDate($selectedDate)); ?>"
                            data-door-charge="<?php echo e($vip1->doorchargeForDate($selectedDate)); ?>"
                            data-seats="<?php echo e($vip1->seat_available); ?>"
                            data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vip1->status); ?>"
                            data-available-time="<?php echo e($vip1->time); ?>"

                            <?php if($pendingReservation1 || $occupiedReservation): ?>
                            data-full-name="<?php echo e($pendingReservation1 ? $pendingReservation1->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                            data-confirmed="<?php echo e($pendingReservation1 ? $pendingReservation1->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                            data-contact-number="<?php echo e($pendingReservation1 ? $pendingReservation1->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                            data-email="<?php echo e($pendingReservation1 ? $pendingReservation1->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                            data-amount-to-pay="<?php echo e($pendingReservation1 ? $pendingReservation1->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                            data-number-of-guests="<?php echo e($pendingReservation1 ? $pendingReservation1->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                            data-date-reserved="<?php echo e($pendingReservation1 ? $pendingReservation1->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                            data-status="<?php echo e($pendingReservation1 ? $pendingReservation1->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                            data-time="<?php echo e($pendingReservation1 ? $pendingReservation1->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>" <?php endif; ?>>
                            <p class="py-8 text-[10px] lg:text-3xl text-center">
                                <?php echo e($vip1->name); ?>

                                <?php if($vip1->status === 'occupied'): ?>
                                <!-- Optional content for occupied status -->
                                <?php elseif($vip1->status === 'unavailable'): ?>
                                <!-- Optional content for unavailable status -->
                                <?php endif; ?>
                            </p>
                        </div>

                    </div>
                </div>
            </div>
            <div class="grid h-2 grid-cols-7 col-span-5 gap-1 px-2 lg:h-14">
                <?php $__currentLoopData = $seats->whereBetween('id', [12, 71]); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $seat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                // Check if the seat has a reservation for the selected date
                $reservation = $seat->reservations
                ->where('reservation_date', $selectedDate)
                ->whereIn('status', ['confirmed', 'pending'])
                ->first();
                ?>
                <?php
                $unavailableReservation = $seat->unavailable
                ->where('status', 'unavailable')
                ->where('date', $selectedDate)
                ->first();
                ?>
                <?php
                $occupiedReservation = $seat->reservations
                ->where('status', 'occupied')
                ->where('reservation_date', $selectedDate)
                ->first();
                ?>
                <?php if($seat->id == 59): ?>
                <div class="border-2  rounded-lg flex items-center justify-center h-10 lg:h-24 lg:py-8 cursor-pointer openModal
                    <?php if($unavailableReservation): ?> 
                        bg-black text-gray-500
                    <?php elseif($occupiedReservation): ?> 
                        bg-red-500 text-white
                    <?php elseif($reservation && $reservation->status === 'confirmed'): ?>
                        bg-green-500 text-white
                    <?php elseif($reservation && $reservation->status === 'pending'): ?>
                        text-black bg-gray-500
                    <?php else: ?>
                         bg-white text-black
                    <?php endif; ?>"
                    data-id="<?php echo e($seat->id); ?>"
                    data-name="<?php echo e($seat->name); ?>"
                    data-price="<?php echo e($seat->priceForDate($selectedDate)); ?>"
                    data-door-charge="<?php echo e($seat->doorchargeForDate($selectedDate)); ?>"
                    data-seats="<?php echo e($seat->seat_available); ?>"
                    data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $seat->status); ?>"
                    data-available-time="<?php echo e($seat->time); ?>"

                    <?php if($reservation || $occupiedReservation): ?>
                    data-full-name="<?php echo e($reservation ? $reservation->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                    data-confirmed="<?php echo e($reservation ? $reservation->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                    data-contact-number="<?php echo e($reservation ? $reservation->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                    data-email="<?php echo e($reservation ? $reservation->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                    data-amount-to-pay="<?php echo e($reservation ? $reservation->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                    data-number-of-guests="<?php echo e($reservation ? $reservation->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                    data-date-reserved="<?php echo e($reservation ? $reservation->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                    data-status="<?php echo e($reservation ? $reservation->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                    data-time="<?php echo e($reservation ? $reservation->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                    <?php endif; ?>>
                    <p class="py-8 text-[10px] lg:text-3xl text-center">
                        <?php echo e($seat->name); ?>

                    </p>
                </div>
                <div></div> <!-- Empty div after id 66 -->
                <?php else: ?>
                <div class="border-2  rounded-lg flex items-center justify-center h-10 lg:h-24 lg:py-8 cursor-pointer openModal
                    <?php if($unavailableReservation): ?> 
                        bg-black text-gray-500
                    <?php elseif($occupiedReservation): ?> 
                        bg-red-500 text-white
                    <?php elseif($reservation && $reservation->status === 'confirmed'): ?>
                        bg-green-500 text-white
                    <?php elseif($reservation && $reservation->status === 'pending'): ?>
                        text-black bg-gray-500
                    <?php else: ?>
                         bg-white text-black
                    <?php endif; ?>"
                    data-id="<?php echo e($seat->id); ?>"
                    data-name="<?php echo e($seat->name); ?>"
                    data-price="<?php echo e($seat->priceForDate($selectedDate)); ?>"
                    data-door-charge="<?php echo e($seat->doorchargeForDate($selectedDate)); ?>"
                    data-seats="<?php echo e($seat->seat_available); ?>"
                    data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $seat->status); ?>"
                    data-available-time="<?php echo e($seat->time); ?>"

                    <?php if($reservation || $occupiedReservation): ?>
                    data-full-name="<?php echo e($reservation ? $reservation->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                    data-confirmed="<?php echo e($reservation ? $reservation->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                    data-contact-number="<?php echo e($reservation ? $reservation->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                    data-email="<?php echo e($reservation ? $reservation->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                    data-amount-to-pay="<?php echo e($reservation ? $reservation->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                    data-number-of-guests="<?php echo e($reservation ? $reservation->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                    data-date-reserved="<?php echo e($reservation ? $reservation->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                    data-status="<?php echo e($reservation ? $reservation->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                    data-time="<?php echo e($reservation ? $reservation->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>"
                    <?php endif; ?>>
                    <p class="py-8 text-[10px] lg:text-3xl text-center">
                        <?php echo e($seat->name); ?>

                    </p>
                </div>

                <?php endif; ?>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>



            <div class="flex flex-col gap-0">
                <div class="border-2 border-black flex items-center justify-center h-14 lg:h-44 p-4 lg:py-8 cursor-pointer openModal
                    <?php
                    $pendingReservation4 = $vip4->reservations
                        ->whereIn('status', ['confirmed', 'pending'])
                        ->where('reservation_date', $selectedDate)
                        ->first();
                    ?>
                    <?php
                    $unavailableReservation = $vip4->unavailable
                    ->where('status', 'unavailable')
                    ->where('date', $selectedDate)
                    ->first();
                    ?>
                    <?php
                    $occupiedReservation = $vip4->reservations
                    ->where('status', 'occupied')
                    ->where('reservation_date', $selectedDate)
                    ->first();
                    ?>
                    <?php if($unavailableReservation): ?> 
                        bg-black text-gray-500
                    <?php elseif($occupiedReservation): ?> 
                        bg-red-500 text-white
                    <?php elseif($pendingReservation4 && $pendingReservation4->status === 'confirmed'): ?>
                        bg-green-500 text-white
                    <?php elseif($pendingReservation4 && $pendingReservation4->status === 'pending'): ?>
                        text-black bg-gray-500
                    <?php else: ?>
                        bg-[#7B04D0] text-white
                    <?php endif; ?>
                    "
                    data-id="<?php echo e($vip4->id); ?>"
                    data-name="<?php echo e($vip4->name); ?>"
                    data-price="<?php echo e($vip4->priceForDate($selectedDate)); ?>"
                    data-door-charge="<?php echo e($vip4->doorchargeForDate($selectedDate)); ?>"
                    data-seats="<?php echo e($vip4->seat_available); ?>"
                    data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vip4->status); ?>"
                    data-available-time="<?php echo e($vip4->time); ?>"

                    <?php if($pendingReservation4 || $occupiedReservation): ?>
                    data-full-name="<?php echo e($pendingReservation4 ? $pendingReservation4->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                    data-confirmed="<?php echo e($pendingReservation4 ? $pendingReservation4->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                    data-contact-number="<?php echo e($pendingReservation4 ? $pendingReservation4->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                    data-email="<?php echo e($pendingReservation4 ? $pendingReservation4->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                    data-amount-to-pay="<?php echo e($pendingReservation4 ? $pendingReservation4->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                    data-number-of-guests="<?php echo e($pendingReservation4 ? $pendingReservation4->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                    data-date-reserved="<?php echo e($pendingReservation4 ? $pendingReservation4->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                    data-status="<?php echo e($pendingReservation4 ? $pendingReservation4->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                    data-time="<?php echo e($pendingReservation4 ? $pendingReservation4->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>" <?php endif; ?>>
                    <p class="py-8 text-[10px] lg:text-3xl text-center">
                        <?php echo e($vip4->name); ?>

                        <?php if($vip4->status === 'occupied'): ?>
                        <!-- Optional content for occupied status -->
                        <?php elseif($vip4->status === 'unavailable'): ?>
                        <!-- Optional content for unavailable status -->
                        <?php endif; ?>
                    </p>
                </div>

                <div class="border-2 border-black flex items-center justify-center h-14 lg:h-44  p-4 lg:py-8 cursor-pointer openModal
                    <?php
                    $pendingReservation5 = $vip5->reservations
                        ->whereIn('status', ['confirmed', 'pending'])
                        ->where('reservation_date', $selectedDate)
                        ->first();
                    ?>
                    <?php
                    $unavailableReservation = $vip5->unavailable
                    ->where('status', 'unavailable')
                    ->where('date', $selectedDate)
                    ->first();
                    ?>
                    <?php
                    $occupiedReservation = $vip5->reservations
                        ->where('status', 'occupied')
                        ->where('reservation_date', $selectedDate)
                        ->first();
                    ?>
                     <?php if($unavailableReservation): ?> 
                        bg-black text-gray-500
                    <?php elseif($occupiedReservation): ?> 
                        bg-red-500 text-white
                    <?php elseif($pendingReservation5 && $pendingReservation5->status === 'confirmed'): ?>
                        bg-green-500 text-white
                    <?php elseif($pendingReservation5 && $pendingReservation5->status === 'pending'): ?>
                        text-black bg-gray-500
                    <?php else: ?>
                        bg-[#7B04D0] text-white
                    <?php endif; ?>
                    "
                    data-id="<?php echo e($vip5->id); ?>"
                    data-name="<?php echo e($vip5->name); ?>"
                    data-price="<?php echo e($vip5->priceForDate($selectedDate)); ?>"
                    data-door-charge="<?php echo e($vip5->doorchargeForDate($selectedDate)); ?>"
                    data-seats="<?php echo e($vip5->seat_available); ?>"
                    data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vip5->status); ?>"
                    data-available-time="<?php echo e($vip5->time); ?>"

                    <?php if($pendingReservation5 || $occupiedReservation): ?>
                    data-full-name="<?php echo e($pendingReservation5 ? $pendingReservation5->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                    data-confirmed="<?php echo e($pendingReservation5 ? $pendingReservation5->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                    data-contact-number="<?php echo e($pendingReservation5 ? $pendingReservation5->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                    data-email="<?php echo e($pendingReservation5 ? $pendingReservation5->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                    data-amount-to-pay="<?php echo e($pendingReservation5 ? $pendingReservation5->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                    data-number-of-guests="<?php echo e($pendingReservation5 ? $pendingReservation5->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                    data-date-reserved="<?php echo e($pendingReservation5 ? $pendingReservation5->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                    data-status="<?php echo e($pendingReservation5 ? $pendingReservation5->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                    data-time="<?php echo e($pendingReservation5 ? $pendingReservation5->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>" <?php endif; ?>>
                    <p class="py-8 text-[10px] lg:text-3xl text-center">
                        <?php echo e($vip5->name); ?>

                        <?php if($vip5->status === 'occupied'): ?>
                        <!-- Optional content for occupied status -->
                        <?php elseif($vip5->status === 'unavailable'): ?>
                        <!-- Optional content for unavailable status -->
                        <?php endif; ?>
                    </p>
                </div>



                <div class="border-2 border-black flex items-center justify-center h-14 lg:h-44 p-4 lg:py-8 cursor-pointer openModal
                    <?php
                    $pendingReservation6 = $vip6->reservations
                        ->whereIn('status', ['confirmed', 'pending'])
                        ->where('reservation_date', $selectedDate)
                        ->first();
                    ?>
                    <?php
                    $unavailableReservation = $vip6->unavailable
                    ->where('status', 'unavailable')
                    ->where('date', $selectedDate)
                    ->first();
                    ?>
                    <?php
                    $occupiedReservation = $vip6->reservations
                    ->where('status', 'occupied')
                    ->where('reservation_date', $selectedDate)
                    ->first();
                    ?>
                     <?php if($unavailableReservation): ?> 
                        bg-black text-gray-500
                    <?php elseif($occupiedReservation): ?> 
                        bg-red-500 text-white
                    <?php elseif($pendingReservation6 && $pendingReservation6->status === 'confirmed'): ?>
                        bg-green-500 text-white
                    <?php elseif($pendingReservation6 && $pendingReservation6->status === 'pending'): ?>
                        text-black bg-gray-500
                    <?php else: ?>
                        bg-[#7B04D0] text-white
                    <?php endif; ?>             
                    "
                    data-id="<?php echo e($vip6->id); ?>"
                    data-name="<?php echo e($vip6->name); ?>"
                    data-price="<?php echo e($vip6->priceForDate($selectedDate)); ?>"
                    data-door-charge="<?php echo e($vip6->doorchargeForDate($selectedDate)); ?>"
                    data-seats="<?php echo e($vip6->seat_available); ?>"
                    data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vip6->status); ?>"
                    data-available-time="<?php echo e($vip6->time); ?>"

                    <?php if($pendingReservation6 || $occupiedReservation): ?>
                    data-full-name="<?php echo e($pendingReservation6 ? $pendingReservation6->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                    data-confirmed="<?php echo e($pendingReservation6 ? $pendingReservation6->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                    data-contact-number="<?php echo e($pendingReservation6 ? $pendingReservation6->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                    data-email="<?php echo e($pendingReservation6 ? $pendingReservation6->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                    data-amount-to-pay="<?php echo e($pendingReservation6 ? $pendingReservation6->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                    data-number-of-guests="<?php echo e($pendingReservation6 ? $pendingReservation6->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                    data-date-reserved="<?php echo e($pendingReservation6 ? $pendingReservation6->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                    data-status="<?php echo e($pendingReservation6 ? $pendingReservation6->status :  ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                    data-time="<?php echo e($pendingReservation6 ? $pendingReservation6->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>" <?php endif; ?>>

                    <p class="py-8 text-[10px] lg:text-3xl text-center">
                        <?php echo e($vip6->name); ?>

                        <?php if($vip6->status === 'occupied'): ?>
                        <!-- Optional content for occupied status -->
                        <?php elseif($vip6->status === 'unavailable'): ?>
                        <!-- Optional content for unavailable status -->
                        <?php endif; ?>
                    </p>
                </div>

                <div class="border-2 border-black flex items-center justify-center h-14 lg:h-44  p-4 lg:py-8 cursor-pointer openModal
                <?php
                $pendingReservation7 = $vip7->reservations
                    ->whereIn('status', ['confirmed', 'pending'])
                    ->where('reservation_date', $selectedDate)
                    ->first();
                ?>
                <?php
                $unavailableReservation = $vip7->unavailable
                ->where('status', 'unavailable')
                ->where('date', $selectedDate)
                ->first();
                ?>
                <?php
                $occupiedReservation = $vip7->reservations
                ->where('status', 'occupied')
                ->where('reservation_date', $selectedDate)
                ->first();
                ?>
                <?php if($unavailableReservation): ?> 
                    bg-black text-gray-500
                <?php elseif($occupiedReservation): ?> 
                    bg-red-500 text-white
                <?php elseif($pendingReservation7 && $pendingReservation7->status === 'confirmed'): ?>
                    bg-green-500 text-white
                <?php elseif($pendingReservation7 && $pendingReservation7->status === 'pending'): ?>
                    text-black bg-gray-500
                <?php else: ?>
                    bg-[#7B04D0] text-white
                <?php endif; ?>
        "
                    data-id="<?php echo e($vip7->id); ?>"
                    data-name="<?php echo e($vip7->name); ?>"
                    data-price="<?php echo e($vip7->priceForDate($selectedDate)); ?>"
                    data-door-charge="<?php echo e($vip7->doorchargeForDate($selectedDate)); ?>"
                    data-seats="<?php echo e($vip7->seat_available); ?>"
                    data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $vip7->status); ?>"
                    data-available-time="<?php echo e($vip7->time); ?>"

                    <?php if($pendingReservation7 || $occupiedReservation): ?>
                    data-full-name="<?php echo e($pendingReservation7 ? $pendingReservation7->full_name :  ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                    data-confirmed="<?php echo e($pendingReservation7 ? $pendingReservation7->is_confirmed :  ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                    data-contact-number="<?php echo e($pendingReservation7 ? $pendingReservation7->contact_number :  ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                    data-email="<?php echo e($pendingReservation7 ? $pendingReservation7->email :  ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                    data-amount-to-pay="<?php echo e($pendingReservation7 ? $pendingReservation7->amount_to_pay :  ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                    data-number-of-guests="<?php echo e($pendingReservation7 ? $pendingReservation7->number_of_guests :  ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                    data-date-reserved="<?php echo e($pendingReservation7 ? $pendingReservation7->reservation_date :  ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                    data-status="<?php echo e($pendingReservation7 ? $pendingReservation7->status : ($occupiedReservation ? $occupiedReservation->status : '')); ?>"
                    data-time="<?php echo e($pendingReservation7 ? $pendingReservation7->estimated_time_arrival :  ($occupiedReservation ? $occupiedReservation->estimated_time_arrival : '')); ?>" <?php endif; ?>>
                    <p class="py-8 text-[10px] lg:text-3xl text-center">
                        <?php echo e($vip7->name); ?>

                        <?php if($vip7->status === 'occupied'): ?>
                        <!-- Optional content for occupied status -->
                        <?php elseif($vip7->status === 'unavailable'): ?>
                        <!-- Optional content for unavailable status -->
                        <?php endif; ?>
                    </p>
                </div>
            </div>
        </div>
        <div class="flex justify-center items-center -mt-8 lg:mt-[5rem] border-2 border-black">
            <?php $__currentLoopData = range(72, 84); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
            // Find the seat by ID (assuming 'id' is the field name in your database)
            $seat = $seats->firstWhere('id', $id);
            ?>

            <?php if($seat && $seat->name): ?>
            <!-- Ensure that seat exists and has a name -->
            <?php
            $pendingReservation = $seat->reservations
            ->whereIn('status', ['confirmed', 'pending'])
            ->where('reservation_date', $selectedDate)
            ->first();

            $unavailableReservation = $seat->unavailable
            ->where('status', 'unavailable')
            ->where('date', $selectedDate)
            ->first();
            ?>
            <?php
            $occupiedReservation = $seat->reservations
            ->where('status', 'occupied')
            ->where('reservation_date', $selectedDate)
            ->first();
            ?>
            <div class="border-2 text-black rounded-full flex items-center justify-center w-2 h-2 lg:w-24 lg:h-24 p-3 lg:py-8 cursor-pointer openModal
                    <?php if($unavailableReservation): ?> 
                        bg-black text-gray-500
                    <?php elseif($occupiedReservation): ?> 
                        bg-red-500 text-white
                    <?php elseif($pendingReservation && $pendingReservation->status === 'confirmed'): ?>
                        bg-green-500 text-white
                    <?php elseif($pendingReservation && $pendingReservation->status === 'pending'): ?>
                        text-black bg-gray-500
                    <?php else: ?>
                        bg-white text-black
                    <?php endif; ?>
                "
                data-id="<?php echo e($seat->id); ?>"
                data-name="<?php echo e($seat->name); ?>"
                data-price="<?php echo e($seat->priceForDate($selectedDate)); ?>"
                data-door-charge="<?php echo e($seat->doorchargeForDate($selectedDate)); ?>"
                data-seats="<?php echo e($seat->seat_available); ?>"
                data-show-price="<?php echo e($seat->show_price); ?>"
                data-available-time="<?php echo e($seat->time); ?>"
                data-confirmed="<?php echo e($pendingReservation ? $pendingReservation->is_confirmed : ($occupiedReservation ? $occupiedReservation->is_confirmed : '')); ?>"
                data-full-name="<?php echo e($pendingReservation ? $pendingReservation->full_name : ($occupiedReservation ? $occupiedReservation->full_name : '')); ?>"
                data-contact-number="<?php echo e($pendingReservation ? $pendingReservation->contact_number : ($occupiedReservation ? $occupiedReservation->contact_number : '')); ?>"
                data-email="<?php echo e($pendingReservation ? $pendingReservation->email : ($occupiedReservation ? $occupiedReservation->email : '')); ?>"
                data-amount-to-pay="<?php echo e($pendingReservation ? $pendingReservation->amount_to_pay : ($occupiedReservation ? $occupiedReservation->amount_to_pay : '')); ?>"
                data-number-of-guests="<?php echo e($pendingReservation ? $pendingReservation->number_of_guests : ($occupiedReservation ? $occupiedReservation->number_of_guests : '')); ?>"
                data-date-reserved="<?php echo e($pendingReservation ? $pendingReservation->reservation_date  : ($occupiedReservation ? $occupiedReservation->reservation_date : '')); ?>"
                data-table-status="<?php echo e($unavailableReservation ? 'unavailable' : $seat->status); ?>"
                data-status="<?php echo e($pendingReservation ? $pendingReservation->status : ($occupiedReservation ? $occupiedReservation->status : '')); ?>">
                <p class="text-[10px] lg:text-3xl text-center">
                    <?php echo e($seat->name); ?>

                </p>
            </div>


            <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
    <div class="flex justify-center py-4 text-lg text-white bg-black lg:text-3xl">
        BAR COUNTER
    </div>



    <script>
        document.addEventListener("DOMContentLoaded", function() {
            const reservationForm = document.getElementById('reservationForm');
            const errorMessagesContainer = document.getElementById('errorMessages');
            const confirmReservationButton = document.getElementById('confirmReservationButton');

            reservationForm.addEventListener('submit', function(event) {
                const fullName = document.getElementById('fullName').value.trim();
                const contactNumber = document.getElementById('contactNumber').value.trim();
                const emailAddress = document.getElementById('emailAddress').value.trim();
                const eta = document.getElementById('eta').value.trim();
                const guests = document.getElementById('guests').value.trim();

                let hasError = false;
                let errorMessages = [];

                errorMessagesContainer.innerHTML = ''; // Clear previous messages

                if (!fullName) {
                    errorMessages.push("Full Name is required.");
                    hasError = true;
                }
                if (!contactNumber || contactNumber.length !== 11) {
                    errorMessages.push("A valid 11-digit contact number is required.");
                    hasError = true;
                }
                if (!emailAddress.includes('@')) {
                    errorMessages.push("A valid email address is required.");
                    hasError = true;
                }
                if (!eta) {
                    errorMessages.push("Please select an Estimated Time of Arrival.");
                    hasError = true;
                }
                if (!guests || parseInt(guests) < 1) {
                    errorMessages.push("Number of guests must be at least 1.");
                    hasError = true;
                }

                if (hasError) {
                    event.preventDefault(); // Prevent form submission
                    errorMessagesContainer.classList.remove('hidden');
                    errorMessagesContainer.innerHTML = `<ul>${errorMessages.map(msg => `<li>${msg}</li>`).join('')}</ul>`;
                } else {
                    confirmReservationButton.disabled = true;
                    confirmReservationButton.textContent = 'Processing...'; // Indicate processing state only if no errors
                    errorMessagesContainer.classList.add('hidden'); // Hide error messages if no errors
                }
            });

            // Close the modal only when explicitly clicking "Close"
            document.getElementById('closeModalButton').addEventListener('click', function() {
                document.getElementById('reservationModal').classList.add('hidden');
            });
        });


        // Open modal on button click
        document.querySelectorAll('.openModal').forEach(button => {
            button.addEventListener('click', function() {
                const reservationDate = document.getElementById('reservationDate').value;

                // Retrieve data attributes from the clicked button
                const seatId = this.getAttribute('data-id');
                const seatName = this.getAttribute('data-name');
                const seatStatus = this.getAttribute('data-status');
                const tableStatus = this.getAttribute('data-table-status');
                const Status = this.getAttribute('data-seats-status');
                const seatPrice = this.getAttribute('data-price');
                const doorcharge = this.getAttribute('data-door-charge');
                const confirmed = this.getAttribute('data-confirmed');

                const fullName = this.getAttribute('data-full-name');
                const contactNumber = this.getAttribute('data-contact-number');
                const email = this.getAttribute('data-email');
                const amountToPay = this.getAttribute('data-amount-to-pay');
                const numberOfGuests = this.getAttribute('data-number-of-guests');
                const dateReserved = this.getAttribute('data-date-reserved');
                const dataSeats = this.getAttribute('data-seats');
                const eta = this.getAttribute('data-time');
                const availableTime = this.getAttribute('data-available-time');

                const formattedEta = new Date(eta).toLocaleString('en-US', {
                    weekday: 'long', // Day of the week
                    year: 'numeric',
                    month: 'long',
                    day: 'numeric',
                    hour: '2-digit',
                    minute: '2-digit',
                    second: '2-digit'
                });

                // Populate the modal with seat data
                document.getElementById('modal-date-reservation').value = reservationDate;
                document.getElementById('modal-seat-name').textContent = seatName;
                document.getElementById('modal-seat-price').textContent = seatPrice;
                document.getElementById('modal-door-charge').textContent = doorcharge;
                document.getElementById('modal-available-seats').textContent = dataSeats;
                document.getElementById('modal-seat-id').textContent = seatId;

                // Set the hidden inputs with relevant values
                document.getElementById('seat-id-input').value = seatId;
                document.getElementById('block-seat-id-input').value = seatId;
                document.getElementById('seat-fullname-input').value = fullName;
                document.getElementById('seat-email-input').value = email;
                document.getElementById('seat-contact-input').value = contactNumber;
                document.getElementById('seat-status-input').value = seatStatus;
                document.getElementById('seat-table-status-input').value = tableStatus;
                document.getElementById('seat-available-time').value = availableTime;
                document.getElementById('seat-date-input').value = reservationDate; // Create this input in the form if needed

                const confirmedElement = document.getElementById('modal-confirmed');
                if (confirmed === '1') {
                    confirmedElement.textContent = "Confirmed";
                    confirmedElement.classList.add('text-green-500', 'font-bold'); // Optional styling
                } else {
                    confirmedElement.textContent = "Not Confirmed";
                    confirmedElement.classList.remove('text-green-500', 'font-bold');
                }

                // Toggle reservation details based on seat status
                const reservationDetails = document.getElementById('reservation-details');
                if (seatStatus === 'occupied' || seatStatus === 'confirmed' || seatStatus === 'pending') {
                    reservationDetails.classList.remove('hidden');
                    document.getElementById('modal-full-name').textContent = fullName;
                    document.getElementById('modal-contact-number').textContent = contactNumber;
                    document.getElementById('modal-email').textContent = email;
                    document.getElementById('modal-amount-to-pay').textContent = amountToPay;
                    document.getElementById('modal-number-of-guests').textContent = numberOfGuests;
                    document.getElementById('modal-date-reserved').textContent = dateReserved;
                    document.getElementById('modal-eta').textContent = eta;
                } else {
                    reservationDetails.classList.add('hidden');
                }

                // Show modal and set button visibility
                const modal = document.getElementById('modal');
                modal.classList.remove('hidden');

                const checkedOutBtn = document.getElementById('checked-out-btn');
                const cancelBtn = document.getElementById('cancel-btn');
                const reserveBtn = document.getElementById('reserve-btn');
                const blockBtn = document.getElementById('block-btn');
                const unblockBtn = document.getElementById('unblock-btn');
                const occupyBtn = document.getElementById('occupy-btn');
                const unoccupyBtn = document.getElementById('unoccupy-btn');
                const is_confirmed = document.getElementById('is_confirmed');

                const seatdetails = document.getElementById('seat-details');
                const seatdetails2 = document.getElementById('seat-details2');

                const title = document.getElementById('title');
                const title2 = document.getElementById('title2');

                // Hide all buttons initially
                [checkedOutBtn, cancelBtn, reserveBtn, blockBtn, unblockBtn, occupyBtn, unoccupyBtn, is_confirmed, seatdetails, seatdetails2, title, title2].forEach(btn => btn.classList.add('hidden'));
                if (checkedOutBtn) {
                    checkedOutBtn.addEventListener('click', function() {
                        checkedOutBtn.disabled = true; // Disable the button
                        checkedOutBtn.textContent = 'Processing...'; // Optional: Indicate processing state
                    });
                }
                if (cancelBtn) {
                    cancelBtn.addEventListener('click', function() {
                        cancelBtn.disabled = true; // Disable the button
                        cancelBtn.textContent = 'Processing...'; // Indicate processing state
                    });
                }

                // Show buttons based on seat status
                if (tableStatus === 'unavailable') {
                    // Display seat-id-input only when tableStatus is unavailable
                    seatdetails.classList.remove('hidden');
                    unblockBtn.classList.remove('hidden');
                } else if (confirmed === '1' && seatStatus === 'occupied') {
                    title2.classList.remove('hidden');
                    seatdetails.classList.remove('hidden');
                    checkedOutBtn.classList.remove('hidden'); // Show checkout button
                } else if (confirmed === '1') {
                    title2.classList.remove('hidden');
                    seatdetails.classList.remove('hidden');
                    occupyBtn.classList.remove('hidden');
                    cancelBtn.classList.remove('hidden');
                } else if (confirmed === '0') {
                    title2.classList.remove('hidden');
                    seatdetails.classList.remove('hidden');
                    is_confirmed.classList.add('hidden');
                    cancelBtn.classList.remove('hidden');
                } else {
                    reserveBtn.classList.remove('hidden');
                    seatdetails.classList.remove('hidden');
                    seatdetails2.classList.remove('hidden');
                    blockBtn.classList.remove('hidden');
                    title.classList.remove('hidden');
                }
            });
        });

        // Close modal logic
        document.getElementById('close-modal').addEventListener('click', function() {
            document.getElementById('modal').classList.add('hidden');
        });

        function openReservationModal() {
            // Get references to the modal elements
            const reservationModal = document.getElementById('reservationModal');
            const mainModal = document.getElementById('modal');
            const seatIdInput = document.getElementById('seat-id-input');
            const seatIdInput2 = document.getElementById('block-seat-id-input');
            const seatNameElement = document.getElementById('modal-seat-name');
            const seatPriceElement = document.getElementById('modal-seat-price');
            const doorcharge = document.getElementById('modal-door-charge');
            const seatAvailableElement = document.getElementById('modal-available-seats');
            const seatAvailableTime = document.getElementById('seat-available-time'); // Hidden input
            const etaSelect = document.getElementById('eta'); // ETA select dropdown
            const guestsInput = document.getElementById('guests');
            const errorMessage = document.getElementById('errorMessages');

            // Show the reservation modal
            reservationModal.classList.remove('hidden');

            // Populate reservation modal fields
            document.getElementById('seat_id').value = seatIdInput.value || seatIdInput2.value;
            document.getElementById('seat_name').value = seatNameElement.textContent;
            document.getElementById('seat_price').value = seatPriceElement.textContent || null;
            document.getElementById('door_charge').value = doorcharge.textContent || null;
            document.getElementById('seat_available').value = seatAvailableElement.textContent;
            document.getElementById('seat_available_time').value = seatAvailableTime.textContent;

            // Dynamically populate the ETA dropdown based on available times
            const availableTimes = seatAvailableTime.value.split(','); // Get times from hidden input
            etaSelect.innerHTML = ''; // Clear existing options

            availableTimes.forEach(time => {
                const formattedTime = convertTo12HourFormat(time.trim()); // Convert to 12-hour format
                const option = document.createElement('option');
                option.value = time.trim();
                option.textContent = formattedTime;
                etaSelect.appendChild(option);
            });

            // Update table information
            document.getElementById('tableInfo').textContent =
                `Table: ${seatNameElement.textContent}  (${seatAvailableElement.textContent} Seat)`;

            // Close the main modal
            mainModal.classList.add('hidden');

            // Set the maxSeats dynamically and manage guest input
            const maxSeats = parseInt(seatAvailableElement.textContent, 10);

            // Ensure the maxSeats value is always updated
            guestsInput.setAttribute('max', maxSeats);
            guestsInput.value = ''; // Clear previous value

            // Handle guests input and check for max limit
            guestsInput.removeEventListener('input', handleGuestInput); // Remove previous listener if any
            guestsInput.addEventListener('input', handleGuestInput);

            function handleGuestInput() {
                let guests = parseInt(guestsInput.value) || 0;
                if (guests > maxSeats) {
                    guestsInput.value = maxSeats;
                    errorMessage.textContent = `The maximum number of guests for this reservation is ${maxSeats}.`;
                    errorMessage.classList.remove('hidden');
                    setTimeout(() => errorMessage.classList.add('hidden'), 5000); // Hide after 5 seconds
                }
            }

            // Convert 24-hour time to 12-hour time
            function convertTo12HourFormat(time) {
                const [hour, minute] = time.split(':');
                let hours = parseInt(hour, 10);
                let period = 'AM';

                if (hours >= 12) {
                    period = 'PM';
                    if (hours > 12) hours -= 12;
                } else if (hours === 0) {
                    hours = 12;
                }
                return `${hours}:${minute} ${period}`;
            }
        }

        // Calculate amount to pay based on number of guests
        const guestsInput = document.getElementById('guests');
        const amountToPayInput = document.getElementById('amount_to_pay');


        // Validate ETA time
        const etaInput = document.getElementById('eta');
        etaInput.addEventListener('input', function() {
            const time = this.value;
            if (time < "19:00" || time > "23:00") {
                alert("Please select a time between 7:00 PM and 11:00 PM.");
                this.value = "";
            }
        });

        // Close thank-you modal
        document.getElementById('closeBtn')?.addEventListener('click', function() {
            const thankYouModal = document.getElementById('thankYouModal');
            if (thankYouModal) {
                thankYouModal.style.display = 'none';
            }
        });

        // Close reservation modal
        document.getElementById('closeModalButton')?.addEventListener('click', function() {
            const reservationModal = document.getElementById('reservationModal');
            if (reservationModal) {
                reservationModal.classList.add('hidden');
            }
        });
    </script>


 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH /home/rwebserver/public_html/XCLV/resources/views/backend/modules/seats-map-admin/index.blade.php ENDPATH**/ ?>