<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container p-6 mx-auto">
        <div class="flex items-center justify-between mb-6">
            <h1 class="text-3xl font-bold text-gray-800">Table/Seat</h1>
            <a href="<?php echo e(route('reservations.export')); ?>"
                class="inline-block px-6 py-2 text-sm font-medium text-white bg-blue-600 rounded-md hover:bg-blue-700">
                Export to Excel
            </a>
        </div>

        <!-- Date Range Filter -->
        <div class="flex items-center mb-4">
            <label for="dateFilter" class="mr-2 text-gray-700">Filter by Date:</label>
            <input type="date" id="dateFilter" value="<?php echo e(old('dateFilter')); ?>" class="px-4 py-2 border rounded">
        </div>

        <!-- Table -->
        <div class="overflow-x-auto">
            <table id="reservationsTable" class="min-w-full divide-y divide-gray-200">
                <thead class="bg-gray-50">
                    <tr>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-left text-gray-700 uppercase">Seat</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-left text-gray-700 uppercase">Name</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-left text-gray-700 uppercase">PAX</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-left text-gray-700 uppercase">Date & Time</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-left text-gray-700 uppercase">Contact No</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-left text-gray-700 uppercase">Email</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-center text-gray-700 uppercase">Confirmed?</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-center text-gray-700 uppercase">Status</th>
                        <th class="px-6 py-3 text-xs font-medium tracking-wider text-center text-gray-700 uppercase">Actions</th>
                    </tr>
                </thead>
                <tbody class="bg-white divide-y divide-gray-200">
                    <?php $__currentLoopData = $reservations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reservation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="px-6 py-4 text-sm text-gray-900"><?php echo e($reservation->seat->name); ?></td>
                        <td class="px-6 py-4 text-sm text-gray-900"><?php echo e($reservation->full_name); ?></td>
                        <td class="px-6 py-4 text-sm text-gray-900"><?php echo e($reservation->number_of_guests); ?></td>
                        <td class="px-6 py-4 text-sm text-gray-900">
                            <?php echo e($reservation->reservation_date); ?> -
                            <?php echo e(\Carbon\Carbon::parse($reservation->estimated_time_arrival)->format('g:i A')); ?>

                        </td>
                        <td class="px-6 py-4 text-sm text-gray-900"><?php echo e($reservation->contact_number); ?></td>
                        <td class="px-6 py-4 text-sm text-gray-900"><?php echo e($reservation->email); ?></td>

                        <td class="px-6 py-4 text-sm text-center">
                            <form action="<?php echo e(route('user.reservations.confirm', $reservation->id)); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('PATCH'); ?>
                              <?php if($reservation->status !== 'cancelled' && $reservation->status !== 'canceled'): ?>

                                <input type="checkbox" name="is_confirmed"
                                    <?php if($reservation->is_confirmed): ?> checked <?php endif; ?>
                                onchange="this.form.submit()"
                                class="w-5 h-5 text-blue-600 border-gray-300 rounded focus:ring-blue-500">
                                <?php endif; ?>
                            </form>
                        </td>
                        <td class="px-6 py-4 text-sm text-gray-900"><?php echo e($reservation->status); ?></td>
                        <td class="px-6 py-4 text-sm text-center grid grid-cols-2 gap-2">
                            <button onclick="showModal('deleteModal', <?php echo e($reservation->id); ?>)" class="px-4 py-2 text-white bg-red-600 rounded hover:bg-red-700">
                                Delete
                            </button>

                           <?php if($reservation->status !== 'cancelled' && $reservation->status !== 'canceled'): ?>

                            <button onclick="showModal('cancelModal', <?php echo e($reservation->id); ?>)" class="px-4 py-2 text-white bg-red-600 rounded hover:bg-red-700">
                                Cancel
                            </button>
                            <?php endif; ?>
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>

        <!-- Modals -->
        <div id="deleteModal" class="hidden fixed inset-0 flex items-center justify-center bg-black bg-opacity-50 z-50">
            <div class="bg-white p-6 rounded shadow-md">
                <p class="text-lg">Are you sure you want to delete this reservation?</p>
                <div class="mt-4 flex justify-end space-x-4">
                    <button onclick="closeModal('deleteModal')" class="px-4 py-2 bg-gray-500 text-white rounded">Cancel</button>
                    <form id="deleteForm" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit" class="px-4 py-2 bg-red-600 text-white rounded">Confirm</button>
                    </form>
                </div>
            </div>
        </div>

        <div id="cancelModal" class="hidden fixed inset-0 flex items-center justify-center bg-black bg-opacity-50 z-50">
            <div class="bg-white p-6 rounded shadow-md">
                <p class="text-lg">Are you sure you want to cancel this reservation?</p>
                <div class="mt-4 flex justify-end space-x-4">
                    <button onclick="closeModal('cancelModal')" class="px-4 py-2 bg-gray-500 text-white rounded">Cancel</button>
                    <form id="cancelForm" method="POST">
                        <?php echo csrf_field(); ?>
                        <button type="submit" class="px-4 py-2 bg-red-600 text-white rounded">Confirm</button>
                    </form>
                </div>
            </div>
        </div>

        <!-- Include DataTables CDN -->
        <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>

        <script>
            $(document).ready(function() {
                var savedDate = localStorage.getItem('selectedDate');
                var dateToSet = savedDate || "<?php echo e(old('dateFilter', now()->toDateString())); ?>";
                $('#dateFilter').val(dateToSet);

                var table = $('#reservationsTable').DataTable({
                    responsive: true,
                    paging: true,
                    searching: true,
                    ordering: true,
                    pageLength: 100,
                    columnDefs: [{
                        orderable: false,
                        targets: [6, 7]
                    }],
                    language: {
                        search: "Search reservations:",
                        lengthMenu: "Show _MENU_ entries",
                        info: "Showing _START_ to _END_ of _TOTAL_ reservations",
                    },
                });

                $('#dateFilter').on('change', function() {
                    var date = this.value;
                    localStorage.setItem('selectedDate', date);
                    table.column(3).search(date).draw();
                });
                $('#dateFilter').trigger('change');
            });

            function showModal(modalId, reservationId) {
                var modal = document.getElementById(modalId);
                var form = modal.querySelector('form');
                if (modalId === 'deleteModal') {
                    form.action = "<?php echo e(route('user.reservations.destroy', '')); ?>/" + reservationId;
                } else if (modalId === 'cancelModal') {
                    form.action = "<?php echo e(route('reservation.cancel', '')); ?>/" + reservationId;
                }
                modal.classList.remove('hidden');
            }

            function closeModal(modalId) {
                document.getElementById(modalId).classList.add('hidden');
            }
        </script>

    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH /home/rwebserver/public_html/XCLV/resources/views/backend/modules/reservation/index.blade.php ENDPATH**/ ?>