<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container p-6 mx-auto">
        
        <div class="flex justify-between items-center py-4">
            <div>
                <h1 class="text-3xl font-extrabold text-gray-800">User Management</h1>
            </div>
            

            <!-- Add New Receptionist Button -->
            <div class="">
                <a href="<?php echo e(route('admin.receptionist.create')); ?>"
                    class="inline-block px-6 py-3 bg-gray-800 text-white font-semibold rounded-lg shadow-md hover:bg-[#ef5400] transition duration-300">
                    + Add New User
                </a>
            </div>
        </div>
        

        <!-- Success Message -->
        <?php if(session('success')): ?>
        <div class="p-4 mb-6 text-white bg-green-600 rounded-lg shadow">
            <?php echo e(session('success')); ?>

        </div>
        <?php endif; ?>

        <!-- Receptionist Table -->
        <div class="overflow-hidden ">
            <div class="overflow-x-auto">
                <table id="receptionistsTable" class="min-w-full bg-white border border-gray-200">
                    <thead class="bg-gray-100">
                        <tr>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-left text-gray-700 uppercase border-b border-gray-200">
                                Full Name
                            </th>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-left text-gray-700 uppercase border-b border-gray-200">
                                Email
                            </th>
                             <th class="px-6 py-3 text-sm font-medium tracking-wider text-left text-gray-700 uppercase border-b border-gray-200">
                                Role
                            </th>
                            <th class="px-6 py-3 text-sm font-medium tracking-wider text-center text-gray-700 uppercase border-b border-gray-200">
                                Actions
                            </th>
                        </tr>
                    </thead>
                    <tbody class="divide-y divide-gray-200">
                        <?php $__currentLoopData = $receptionists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $receptionist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr class="hover:bg-gray-50">
                            <td class="px-6 py-4 text-sm text-gray-800">
                                <?php echo e($receptionist->name); ?>

                            </td>
                            <td class="px-6 py-4 text-sm text-gray-800">
                                <?php echo e($receptionist->email); ?>

                            </td>
                             <td class="px-6 py-4 text-sm text-gray-800">
                                <?php echo e($receptionist->roles); ?>

                            </td>
                            <td class="px-6 py-4 text-center">
                                <div class="flex space-x-4">
                                    <!-- Edit Button -->
                                    <a href="<?php echo e(route('admin.receptionist.edit', $receptionist->id)); ?>"
                                        class="inline-block px-4 py-2 text-sm font-medium text-white transition bg-blue-500 rounded-lg hover:bg-blue-700">
                                        Edit
                                    </a>

                                    <!-- Delete Button -->
                                    <form action="<?php echo e(route('admin.receptionist.destroy', $receptionist->id)); ?>" method="POST"
                                        onsubmit="return confirm('Are you sure you want to delete this receptionist?');">
                                        <?php echo csrf_field(); ?>
                                        <?php echo method_field('DELETE'); ?>
                                        <button type="submit"
                                            class="inline-block px-4 py-2 text-sm font-medium text-white transition bg-red-500 rounded-lg hover:bg-red-700">
                                            Delete
                                        </button>
                                    </form>
                                </div>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>

    </div>

    <!-- Include DataTables CDN -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>

    <script>
        // Initialize DataTable
        $(document).ready(function() {
            $('#receptionistsTable').DataTable({
                responsive: true,
                paging: true,
                searching: true,
                info: true,
                columnDefs: [{
                        orderable: false,
                        targets: 0
                    } // Disable ordering for the Actions column
                ],
                language: {
                    search: "Filter:",
                    lengthMenu: "Show _MENU_ entries",
                }
            });
        });
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH /home/rwebserver/public_html/XCLV/resources/views/backend/modules/receptionist/index.blade.php ENDPATH**/ ?>